RESTinio

Classes | Namespaces | Enumerations | Functions
websocket.hpp File Reference
`#include <functional>`
`#include <restinio/websocket/message.hpp>`
`#include <restinio/websocket/impl/ws_connection_base.hpp>`
`#include <restinio/websocket/impl/ws_connection.hpp>`
`#include <restinio/utils/base64.hpp>`
`#include <restinio/utils/sha1.hpp>`

Go to the source code of this file.

## Classes
class | restinio::websocket::basic::ws_t
| A WebSocket bind. More...

## Namespaces
namespace | restinio
namespace | restinio::websocket
namespace | restinio::websocket::basic

## Enumerations
enum class | restinio::websocket::basic::activation_t { restinio::websocket::basic::immediate , restinio::websocket::basic::delayed }
| Flags for websocket activation policies. More...

## Functions
template<typename Traits , typename WS_Message_Handler >
ws_handle_t | restinio::websocket::basic::upgrade (generic_request_type_from_traits_t< Traits > &req, activation_t activation_flag, http_header_fields_t upgrade_response_header_fields, WS_Message_Handler ws_message_handler)
| Upgrade http-connection of a current request to a websocket connection. More...
template<typename Traits , typename WS_Message_Handler >
auto | restinio::websocket::basic::upgrade (generic_request_type_from_traits_t< Traits > &req, activation_t activation_flag, std::string sec_websocket_accept_field_value, WS_Message_Handler ws_message_handler)
template<typename Traits , typename WS_Message_Handler >
auto | restinio::websocket::basic::upgrade (generic_request_type_from_traits_t< Traits > &req, activation_t activation_flag, std::string sec_websocket_accept_field_value, std::string sec_websocket_protocol_field_value, WS_Message_Handler ws_message_handler)
template<typename Traits , typename WS_Message_Handler >
auto | restinio::websocket::basic::upgrade (generic_request_type_from_traits_t< Traits > &req, activation_t activation_flag, WS_Message_Handler ws_message_handler)